import lib from 'lib'
import extSdk from 'extSdk'

export default {
    data() {
        return {
            testProtocol : ""
        }
    },
    mounted() {
        lib.setTitle("JS注入测试")
    },
    methods : {
        checkHostApp () {
            if(window.HostApp) {
                lib.showDialog(JSON.stringify(window.HostApp))
            } else {
                lib.showDialog("HostApp未注入")
            }
        },
        setTitle () {
            extSdk.setTitle("测试标题");
        },
        showLoading () {
            extSdk.showLoading();
        },
        showTip () {
            extSdk.showTip("这是提示，2秒后自动消失");
        },
        confirm () {
            extSdk.confirm("标题", "这是确认信息", flag => {
                if(flag) {
                    extSdk.showTip("点击了确认")
                } else {
                    extSdk.showTip("点击了取消")
                }
            });
        },
        openUrl () {
            extSdk.openUrl("http://sy.duowan.cn/?from=HostAppapp", "新页面标题");
        },
        closeWebview () {
            extSdk.closeWebview();
        },
        checkProtocol () {
            if(this.testProtocol) {
                extSdk.appBridge(this.testProtocol);
            } else {
                lib.showTip("请输入跳转协议地址");
            }
        }
    }
}